<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#7F00FF" ALINK="#FF0000">

<P><!-------TITLE------></P>

<TABLE BORDER="0" WIDTH="100%">
    <TR>
        <TD ALIGN="left">
			<A HREF="http://www.esrf.fr/" TARGET=new>
			<IMG SRC="http://controle/icons/esrf_logo.gif" BORDER=0></A>
		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.elettra.trieste.it/" TARGET=new>
			<IMG SRC="http://controle/icons/elettra_logo.gif" BORDER=0></A>

		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.synchrotron-soleil.fr/" TARGET=new>
			<IMG SRC="http://controle/icons/soleil_logo.gif" BORDER=0></A>
		</Td>
        <TD ALIGN="right">
			<A HREF="http://www.cells.es/" TARGET=new>
			<IMG SRC="http://controle/icons/alba_logo.gif" BORDER=0></A>
		</Td>
    	 <Td>
			<H2><FONT COLOR="#7F00FF">
			<Center><A HREF="http://www.esrf.fr/Infrastructure/Computing/tango/" TARGET="_top">
					 TANGO </a> <Br> Device Server
			</Center></FONT>
    	</Td>
    </TR>
</TABLE>

<HR WIDTH="100%"></H5>
<Br>
<center>
<h1>
Image treatment necessary to adjust a beamline during experiments coherences.		<Br>
Device Commands Description 		<Br> <Br>
Droplet Class	<Br>
</h1>
<b>
Revision:  - Author: le
</b>
</center>


<Br>
<Br>
<Br>
<A NAME="Init"><!-- --></A>
<A NAME="Init"><!-- --></A>
<h2>1 - Init</h2>
<ul>
<Li><Strong>Description: </Strong> This commands re-initialise a device keeping the same network connection.<Br>
After an Init command executed on a device, it is not necessary for client to re-connect to the device.<Br>
This command first calls the device <i> delete_device() </i>method and then execute its <i> init_device()</i> method.<Br>
For C++ device server, all the memory allocated in the <i> nit_device() </i> method must be freed in the <i> delete_device() </i> method.<Br>
The language device desctructor automatically calls the <i> delete_device() </i> method.<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : none.<Br>&nbsp
<Li><Strong>Argout:<Br>DEV_VOID</Strong>
 : none.<Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="State"><!-- --></A>
<A NAME="State"><!-- --></A>
<h2>2 - State</h2>
<ul>
<Li><Strong>Description: </Strong> This command gets the device state (stored in its <i>device_state</i> data member) and returns it to the caller.<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : none.<Br>&nbsp
<Li><Strong>Argout:<Br>DEV_STATE</Strong>
 : State Code<Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="Status"><!-- --></A>
<A NAME="Status"><!-- --></A>
<h2>3 - Status</h2>
<ul>
<Li><Strong>Description: </Strong> This command gets the device status (stored in its <i>device_status</i> data member) and returns it to the caller.<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : none.<Br>&nbsp
<Li><Strong>Argout:<Br>CONST_DEV_STRING</Strong>
 : Status description<Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="Start"><!-- --></A>
<A NAME="Start"><!-- --></A>
<h2>4 - Start</h2>
<ul>
<Li><Strong>Description: </Strong> Start the images treatment<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : no argin<Br>&nbsp
<Li><Strong>Argout:<Br>DEV_VOID</Strong>
 : no argout<Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="Stop"><!-- --></A>
<A NAME="Stop"><!-- --></A>
<h2>5 - Stop</h2>
<ul>
<Li><Strong>Description: </Strong> Stop the images treatment<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : no argin<Br>&nbsp
<Li><Strong>Argout:<Br>DEV_VOID</Strong>
 : no argout<Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="DarkAcquisition"><!-- --></A>
<A NAME="DarkAcquisition"><!-- --></A>
<h2>6 - DarkAcquisition</h2>
<ul>
<Li><Strong>Description: </Strong> Compute the dark.<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : no argin<Br>&nbsp
<Li><Strong>Argout:<Br>DEV_VOID</Strong>
 : no argout<Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
</Ul>
<Br>&nbsp
</ul><Br>
<Br>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3> ESRF - Software Engineering Group </H3>
</Center>
</body>
</html>
